function [U RelE]=BurgDiskUDiff(casenr,dx,t_end)
x=[-10:dx:10];
kappa=1.5;
alpha=3
l=alpha+2
gamma=l/alpha
if gamma<=1
    return
end

switch casenr
    case {1}
        U = 1+0.5*(1+sin((2*x-pi/2))).*(x<=2*pi).*(x>=pi);
    case {2}
        U = 1+ 1*ones(size(x)).*(abs(x)<=6).*(abs(x)>=4);
    case {3}
        U = 1+0.3*sin(2.*x);
    case {4}
        U = 0.6+ 0.2*heaviside(x-4);
    case {5}
        U = 1+ 1*heaviside(4-x);
end
Up=U;
t=0;
CFL=0.25;
N=size(U(:,1))
while t<t_end    
    dt=CFL*dx/max(mdf(U)); %tempdt
    Up(1)=(U(2));
    Up(end)=(U(end-1));
    Up(1)=(U(2));
    Up(end)=(U(end-1));

    Fl=flu(U);
    Upt=Up;
    Upt(2:(end-1))=U(2:(end-1))-dt/(dx).*Fl(1:end);
    Fl2=flu(Upt);
    Up(2:(end-1))=U(2:(end-1))-dt/(dx).*(0.5*(Fl(1:end)+Fl2(1:end)));
    U=Up;
    
    %plot(x,U,'-');
    axis([0 10 0 2]);
    %shg
    %drawnow;
    t=t+dt;
end
shg
plot(x,U,'-r');
axis([0 10 0.5 1.6]);
%figure
%plot(RelE(:,2),RelE(:,1),'-');
end

function ret1 = flu(u)
u0=u(1:end-1);
u1=u(2:end);
ret1=(u0.^2+u0.*u1+u1.^2)/6;
ret1=diff(ret1);
end


function ret3 = mdf(u)
 vel=max(abs(u));
 ret3=vel;
end

